Bug 23721 - Names of exported basketgroup files should be uniformised
Summary: Names of exported basketgroup files should be uniformised
Status: Pushed to master
Alias: None
Product: Koha
Classification: Unclassified
Component: Acquisitions (show other bugs)
Version: master
Hardware: All All
: P5 - low minor (vote)
Assignee: Jonathan Druart
QA Contact: Marcel de Rooy
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2019-10-02 14:16 UTC by Séverine Queune
Modified: 2019-11-21 11:36 UTC (History)
2 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:
19.11.00


Attachments
Bug 23721: Use basketgroup's name to name the CSV export file (1.29 KB, patch)
2019-11-19 10:15 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 23721: Use basketgroup's name to name the CSV export file (1.43 KB, patch)
2019-11-19 11:04 UTC, Séverine Queune
Details | Diff | Splinter Review
Bug 23721: Use basketgroup's name to name the CSV export file (1.54 KB, patch)
2019-11-21 08:31 UTC, Marcel de Rooy
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Séverine Queune 2019-10-02 14:16:32 UTC
When exporting a basket group, the names of the files are different depending on the format chosen : if pdf, the aqbasketgroup.name is used ; if csv, it's the aqbasketgroup.id.
I think it would be clearer for the users if names could be the same.
My preference goes to the aqbasketgroup.name as it's the name chosen by librarians to ease acquisition management.
Comment 1 Jonathan Druart 2019-11-19 10:15:29 UTC
Created attachment 95531 [details] [review]
Bug 23721: Use basketgroup's name to name the CSV export file

When exporting a basket group, the names of the files are different:
 * pdf => aqbasketgroup.name(.pdf)
 * csv => aqbasketgroup.id(.csv)

Better to use basketgroup's name for consistency and readability

Test plan:
Create a basketgroup and export it in pdf and CSV. The name of the
generated file must be the basketgroup's name suffixed by the extension.
Comment 2 Séverine Queune 2019-11-19 11:04:53 UTC
Created attachment 95540 [details] [review]
Bug 23721: Use basketgroup's name to name the CSV export file

When exporting a basket group, the names of the files are different:
 * pdf => aqbasketgroup.name(.pdf)
 * csv => aqbasketgroup.id(.csv)

Better to use basketgroup's name for consistency and readability

Test plan:
Create a basketgroup and export it in pdf and CSV. The name of the
generated file must be the basketgroup's name suffixed by the extension.

Signed-off-by: Séverine QUEUNE <severine.queune@bulac.fr>
Comment 3 Marcel de Rooy 2019-11-21 08:31:55 UTC
Created attachment 95649 [details] [review]
Bug 23721: Use basketgroup's name to name the CSV export file

When exporting a basket group, the names of the files are different:
 * pdf => aqbasketgroup.name(.pdf)
 * csv => aqbasketgroup.id(.csv)

Better to use basketgroup's name for consistency and readability

Test plan:
Create a basketgroup and export it in pdf and CSV. The name of the
generated file must be the basketgroup's name suffixed by the extension.

Signed-off-by: Séverine QUEUNE <severine.queune@bulac.fr>

Signed-off-by: Marcel de Rooy <m.de.rooy@rijksmuseum.nl>
Comment 4 Martin Renvoize 2019-11-21 11:36:39 UTC
Nice work!

Pushed to master for 19.11.00